# fnl

Add or remove final newlines.

## Installation

```shell
cargo install fnl
```

## Usage

Show status:

```shell
fnl file.txt
```

```shell
find . -type f -name "*.txt" | xargs fnl
```

Add final newlines:

```shell
fnl --add file.txt
```

```shell
find . -type f -name "*.txt" | xargs fnl --add
```

Remove final newlines:

```shell
fnl --remove file.txt
```

```shell
find . -type f -name "*.txt" | xargs fnl --remove
```

## License

Please see the [license documentation](https://urbach.dev/license).

## Copyright

© 2025 Eduard Urbach